summaryrefslogtreecommitdiff
path: root/gnu/usr.bin/rcs
diff options
context:
space:
mode:
authorTodd C. Miller <millert@cvs.openbsd.org>2001-09-27 21:57:16 +0000
committerTodd C. Miller <millert@cvs.openbsd.org>2001-09-27 21:57:16 +0000
commit5cf1cd61e2ec1b6b3c2b649d39a70dd07db8a300 (patch)
tree4155ad2042de2192a04a947620c71878adf4808b /gnu/usr.bin/rcs
parent41cbc5d554dd669b6c4c5d18df51832b5edccc70 (diff)
Use mktemp(1) to avoid potential /tmp races
Diffstat (limited to 'gnu/usr.bin/rcs')
-rw-r--r--gnu/usr.bin/rcs/src/rcsfreeze.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/gnu/usr.bin/rcs/src/rcsfreeze.sh b/gnu/usr.bin/rcs/src/rcsfreeze.sh
index 44cfdb57bb5..5d147c73230 100644
--- a/gnu/usr.bin/rcs/src/rcsfreeze.sh
+++ b/gnu/usr.bin/rcs/src/rcsfreeze.sh
@@ -2,7 +2,7 @@
# rcsfreeze - assign a symbolic revision number to a configuration of RCS files
-# $Id: rcsfreeze.sh,v 1.2 1998/03/31 03:39:48 deraadt Exp $
+# $Id: rcsfreeze.sh,v 1.3 2001/09/27 21:57:15 millert Exp $
# The idea is to run rcsfreeze each time a new version is checked
# in. A unique symbolic revision number (C_[number], where number
@@ -56,7 +56,7 @@ rcsfreeze: give log message, summarizing changes (end with EOF or single '.')" \
# Stamp the logfile. Because we order the logfile the most recent
# first we will have to save everything right now in a temporary file.
-TMPLOG=/tmp/rcsfrz$$
+TMPLOG=`mktemp /tmp/rcsfrz.XXXXXXXXXX` || exit 1
trap 'rm -f $TMPLOG; exit 1' 1 2 13 15
# Now ask for a log message, continously add to the log file
(